.gra-purple {
  background: #41295a;
  background: -webkit-linear-gradient(to right, #2f0743, #41295a);
  background: linear-gradient(to right, #2f0743, #41295a);
}
.light20 {
  color: #4b5563 !important;
  --bs-bg-opacity: 0.2 !important;
}
.light30 {
  color: #4b5563 !important;
  --bs-bg-opacity: 0.3 !important;
}
.light50 {
  color: #4b5563 !important;
  --bs-bg-opacity: 0.5 !important;
}
.light70 {
  color: #4b5563 !important;
  --bs-bg-opacity: 0.7 !important;
}
.light10 {
  color: #4b5563 !important;
  --bs-bg-opacity: 0.1 !important;
}
.max-w {
  max-width: 64rem;
}
.min-w-0 {
  min-width: initial;
}
.min-w-22rem {
  min-width: 22rem;
}
.ms--0 {
  margin-left: 0 !important;
}
.ms--1 {
  margin-left: -0.25rem !important;
}
.ms--2 {
  margin-left: -0.5rem !important;
}
.ms--3 {
  margin-left: -1rem;
}
.mb--1 {
  margin-bottom: -0.25rem !important;
}
.mb--3 {
  margin-bottom: -1rem !important;
}
.rounded-4 {
  border-radius: 0.4rem !important;
}
.rounded-5 {
  border-radius: 0.5rem !important;
}
.rounded-7 {
  border-radius: 0.7rem !important;
}
.rounded-tse {
  border-top-left-radius: 0.7rem !important;
  border-top-right-radius: 0.7rem !important;
}
.rounded-tse-5 {
  border-top-left-radius: 0.5rem !important;
  border-top-right-radius: 0.5rem !important;
}
.rounded-bse-5 {
  border-bottom-left-radius: 0.5rem !important;
  border-bottom-right-radius: 0.5rem !important;
}
.rounded-bs {
  border-bottom-left-radius: 0.5rem !important;
}
.rounded-be {
  border-bottom-right-radius: 0.5rem !important;
}
.h-85 {
  height: 85% !important;
}
.mw-90 {
  max-width: 90% !important;
}
.mw-80 {
  max-width: 80% !important;
}
.mw-50 {
  max-width: 50% !important;
}
.mw-40 {
  max-width: 40% !important;
}
.w-15 {
  width: 15% !important;
}
.w-20 {
  width: 20% !important;
}
.w-85 {
  width: 75% !important;
}
@media (min-width: 768px) {
  .ms-md--0 {
    margin-left: 0 !important;
  }
  .ms-md--1 {
    margin-left: -0.25rem !important;
  }
  .ms-md--2 {
    margin-left: -0.5rem !important;
  }
  .ms-md--3 {
    margin-left: -1rem;
  }
  .mb-md--1 {
    margin-bottom: -0.25rem !important;
  }
  .mb-md--3 {
    margin-bottom: -1rem !important;
  }
  .w-md-25 {
    width: 50% !important;
  }
  .w-md-50 {
    width: 50% !important;
  }
  .w-md-60 {
    width: 60% !important;
  }
  .w-md-75 {
    width: 75% !important;
  }
  .w-md-85 {
    width: 85% !important;
  }
  .w-md-100 {
    width: 100% !important;
  }
}
.square25 {
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
  width: 25px !important;
  height: 25px !important ;
  margin: 0 !important;
  padding: 0 !important;
}
.top-20 {
  top: 20% !important;
}
.top-30 {
  top: 30% !important;
}
.bg-dotted {
  background-color: #f8f9fa;
  background-image: radial-gradient(circle, #dee2e6 1px, rgba(0, 0, 0, 0) 1px);
  background-size: 1rem 1rem;
}
.shadow-top {
  box-shadow: rgba(0, 0, 0, 0.25) 0px -13px 20px -25px;
}
.shadow-bottom {
  box-shadow: rgba(0, 0, 0, 0.25) 0px 13px 20px -25px;
}

.btn-blue {
  background-image: linear-gradient(to right, #457fca 0%, #5691c8 51%, #457fca 100%);
  border: none;
  transition: 0.5s !important;
  background-size: 200% auto !important;
  color: #eee;
}
.btn-blue:hover {
  color: #fff;
  background-position: right center !important;
}

.btn-gray {
  background-image: linear-gradient(to right, #757f9a 0%, #535a6c 51%, #757f9a 100%);
  border: none;
  transition: 0.5s !important;
  background-size: 200% auto !important;
  color: #eee;
}
.btn-gray:hover {
  background-position: center center !important;
}

/*custom*/
a:focus-visible,
a:active,
a:hover {
  outline: none !important;
  box-shadow: none !important;
}

.nav-link {
  padding: 0.5rem !important;
}
.nav-link:hover,
.nav-link:focus {
  color: #588a83;
}
.nav-link.disabled {
  color: #9ca3af;
  pointer-events: none;
  cursor: default;
}
.navbar-nav .nav-link:hover,
.navbar-nav .nav-link:focus {
  color: #588a83;
  background: #e6f4f7;
}

/*nav-dark*/
.nav-dark .nav-link {
  background: #eee;
  border: 0;
  border-radius: 0.25rem;
}
.nav-dark .nav-link.active,
.nav-dark .show > .nav-link {
  color: #fff;
  background-color: #4b5563;
}

/*link*/
.link {
  color: #4b5563;
  text-decoration: none;
  transition:
    color 0.15s ease-in-out,
    background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out;
}
@media (prefers-reduced-motion: reduce) {
  .link {
    transition: none;
  }
}
.link:hover,
.link:focus {
  color: #588a83;
  /*text-decoration: underline;*/
}
.link.active {
  color: #588a83;
  font-weight: bold;
}
.link.disabled {
  color: #9ca3af;
  pointer-events: none;
  cursor: default;
}
.link-white {
  color: #fff;
}
.link-white:hover,
.link-white:focus {
  color: #d0d0ea;
  text-decoration: underline;
}
.link-white.active {
  color: #d0d0ea;
  font-weight: bold;
}
.link-blue {
  color: #4f5087;
}
.link-blue:hover,
.link-blue:focus {
  color: #4a4bd0;
}
.link-blue.active {
  color: #4a4bd0;
  font-weight: bold;
}
.link-red {
  color: #f10000;
}
.link-red:hover,
.link-red:focus {
  color: #c70707;
}
.link-red.active {
  color: #c70707;
  font-weight: bold;
}

/*collapse-link*/
a.collapse-link {
  transition: 160ms ease-in-out;
}
a.collapse-link:not(.collapsed) {
  transform: rotate(180deg);
}

/*main*/
.top {
  background: #282c32;
}
.top a {
  color: #d2d2d2;
}
.header {
  background: #f1f1f1;
}
.footer {
  background: #282c32;
}
.main {
  display: flex;
  position: relative;
  flex-direction: column;
  min-height: calc(var(--vh, 1vh) * 100);
}
.admin_bar .main {
  min-height: calc(var(--vh, 1vh) * 100 - 36px);
}
.main-nav {
  z-index: 995;
  background-color: #fff;
  box-shadow: rgba(0, 0, 0, 0.05) 0px 20px 25px -5px !important;
}
.main-container {
  max-width: 1300px !important;
}
.no-sidebar {
  display: flex;
  position: relative;
  flex-direction: column;
}
.fixed-top {
  z-index: 800;
  -webkit-animation-name: headerAnimation;
  animation-name: headerAnimation;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}
.admin_bar .fixed-top {
  top: 30px;
}
@-webkit-keyframes headerAnimation {
  from {
    transform: translate3d(0, -100%, 0);
  }
  to {
    transform: translate3d(0, 0, 0);
  }
}
@keyframes headerAnimation {
  from {
    transform: translate3d(0, -100%, 0);
  }
  to {
    transform: translate3d(0, 0, 0);
  }
}

@media (max-width: 700px) {
  :root {
    --main-body-padding: 1rem;
  }
}

/*admin_bar*/
.scroll-margin-top {
  scroll-margin-top: 80px;
}
.admin_bar .scroll-margin-top {
  scroll-margin-top: 110px;
}

/*page*/
.page {
  padding-bottom: 1.5rem !important;
}
.page-title {
  margin-bottom: 1rem !important;
}
.page-center {
  margin: auto;
}
.page-value p {
  margin-bottom: 1.5rem;
}
.page-value,
.page-value p,
.page-value p span {
}
.page-value ul,
.page-value ol {
  margin-bottom: 2rem !important;
}
.page-value ul ul,
.page-value ul ol,
.page-value ol ul {
  margin-top: 1rem !important;
}
.page-value li {
  margin-bottom: 1.5rem !important;
}
.page-value img {
  max-width: 100% !important;
  height: auto !important;
}
.page-value :is(h1, h2, h3, h4, h5, h6) {
  font-weight: 900;
  margin: 1.5rem 0 !important;
}
.page-value pre {
  margin-bottom: 1.5rem !important;
  background: rgba(243, 244, 246, 0.65) !important;
}
.page-value pre,
.page-value pre code,
.page-value pre p,
.page-value-value pre span {
  font-weight: bolder !important;
  font-size: 0.875rem !important;
}

/*figure.caption*/
figure.caption {
  display: block;
  padding: 1rem;
  margin-top: 2rem;
  margin-bottom: 2rem;
  background: #f3f4f6;
  border-radius: 0.3rem !important;
}
figure.align-center {
  text-align: center;
}
figure.caption img {
  margin-bottom: 0.5rem;
  line-height: 1;
  border-radius: 0.3rem !important;
}
figure.caption figcaption {
  font-size: 0.875em;
  color: #4b5563;
}

/*splide__arrow*/
.splide__arrow--prev {
  left: -0.5em;
}
.splide__arrow--next {
  right: -0.5em;
}
.splide__arrow {
  background: #fff;
  opacity: 1;
}
.splide__arrow:disabled {
  opacity: 0;
}
.splide-banner .splide__arrow--prev {
  left: -1em;
}
.splide-banner .splide__arrow--next {
  right: -1em;
}

/*card image*/
.splide-items .card img,
.products .card img {
  -webkit-transition: -webkit-transform 0.5s ease;
  transition: transform 0.5s ease;
}
.splide-items .card img:hover,
.products .card img:hover,
.splide-items .card img:focus,
.products .card img:focus {
  -ms-transform: scale(1.5);
  transform: scale(1.5);
}

/*offcanvas-product*/
.offcanvas-product {
  max-width: 95% !important;
  height: 95% !important;
  margin: 0 auto;
  border-top-left-radius: 0.3rem !important;
  border-top-right-radius: 0.3rem !important;
}

@media (min-width: 768px) {
  .offcanvas-product {
    max-width: 80% !important;
  }
}
.offcanvas-product .product-image {
  width: 100%;
  height: 400px;
  overflow: hidden;
  position: relative;
}
.offcanvas-product .product-image img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/*promo*/
.promo1 {
  border-radius: 1rem;
  background: #0938b0;
  background: linear-gradient(90deg, rgba(9, 56, 176, 1) 0%, rgba(28, 96, 214, 1) 50%, rgba(18, 38, 166, 1) 100%);
}
.promo3 {
  background: #6c2770;
  background: linear-gradient(90deg, rgba(108, 39, 112, 1) 0%, rgba(180, 28, 214, 1) 50%, rgba(108, 39, 112, 1) 100%);
}

/*options_radio*/
.options_radio input {
  display: none;
}
.options_radio span {
  color: #000;
  background-color: #f3f4f6;
  border-color: #f3f4f6;
}
.options_radio span:hover {
  background-color: #f5f6f7;
  border-color: #f4f5f7;
}
.options_radio .active span {
  /*background-color: #facc15;
    border-color: #facc15;*/
  background-color: #111;
  border-color: #111;
  color: #eee;
}
.options_radio .active span:hover {
  /*background-color: #fbd438;
    border-color: #fbd12c;*/
  background-color: #111;
  border-color: #111;
  color: #eee;
}

/*cart_add*/
.cart_add {
  color: #16a34a;
  background-color: rgba(22, 163, 74, 0.18);
  border-color: #eee;
}
.cart_add:hover {
  color: #fff;
  background-color: #16a34a;
}
.cart_added {
  color: #fff;
  background-color: #16a34a;
  border-color: #16a34a;
}
.cart_added:hover {
  background-color: #138b3f;
  border-color: #12823b;
}
.cart_added .state-add,
.cart_add .state-added {
  display: none !important;
}
.cart_added .state-added {
  display: block !important;
}

/*cadd*/
.cadd {
  color: #fff;
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-info-rgb), var(--bs-bg-opacity)) !important;
  outline: none !important;
  transition: 0.5s !important;
  border-radius: 0 !important;
}
.cadd:hover {
  color: #eee;
  --bs-bg-opacity: 0.8;
}
.cadded {
  background-color: rgba(var(--bs-success-rgb), var(--bs-bg-opacity)) !important;
}
.cadded:hover,
.cadded:focus {
  color: #fff;
  --bs-bg-opacity: 0.75;
  box-shadow: none;
}
.cadded .state-add,
.cadd .state-added {
  display: none !important;
}
.cadded .state-added {
  display: flex !important;
}

/*cart-stiky*/
.cart-stiky {
  /*position: fixed !important;
    z-index: 1500 !important;
    bottom: 0 !important;
    left: 50%;
    transform: translate(-50%, -50%)*/
  /*box-shadow: rgba(0, 0, 0, 0.3) 0px 8px 36px !important;*/
}

/*radio-list*/
.radio-list .form-check-input {
  outline: none !important;
}
.radio-list .form-check-input:checked {
  background-color: #ffe6d7 !important;
  border-color: #ffe6d7 !important;
}
.radio-list label {
  width: 100%;
  color: #4b5563;
  background-color: #f3f4f6;
  border-color: #f3f4f6;
  cursor: pointer;
  transition: 0.5s !important;
  border-radius: 0 !important;
}
.radio-list label:hover {
  background-color: #f5f6f7;
  border-color: #f4f5f7;
}
.radio-list .active label {
  color: #000;
  background-color: #e6f4f7;
}
.radio-list .active label:hover {
  background-color: #d6eef3;
}
.radio-list .disabled label {
  color: #000;
  background-color: #e4e6e7;
  border-color: #464646;
  opacity: 0.3;
}
.radio-list input {
  display: none;
}

/*delivery_time*/
.delivery_time .form-check-input {
  outline: none !important;
}
.delivery_time .form-check-input:checked {
  background-color: #ffe6d7 !important;
  border-color: #ffe6d7 !important;
}
.delivery_time label {
  width: 100%;
  color: #4b5563;
  background-color: #f3f4f6;
  border-color: #f3f4f6;
  cursor: pointer;
}
.delivery_time label:hover {
  background-color: #f5f6f7;
  border-color: #f4f5f7;
}
.delivery_time .active label {
  color: #000;
  background-color: #ffe6d7;
  border-color: #ffe6d7;
}
.delivery_time .active label:hover {
  background-color: #ffe6d7;
  border-color: #ffe6d7;
}

/*address_type*/
.address_type .form-check-input {
  outline: none !important;
}
.address_type .form-check-input:checked {
  background-color: #ffe6d7 !important;
  border-color: #ffe6d7 !important;
}
.address_type label {
  width: 100%;
  color: #4b5563;
  background-color: #f3f4f6;
  border-color: #f3f4f6;
  cursor: pointer;
}
.address_type label:hover {
  background-color: #f5f6f7;
  border-color: #f4f5f7;
}
.address_type .active label {
  color: #000;
  background-color: #ffe6d7;
  border-color: #ffe6d7;
}
.address_type .active label:hover {
  background-color: #ffe6d7;
  border-color: #ffe6d7;
}

/*delivery_schedule*/
.delivery_schedule select {
  width: auto !important;
}

.cart-summary .card:after {
  background:
    linear-gradient(45deg, transparent 33.333%, #fff 33.333%, #fff 66.667%, transparent 66.667%),
    linear-gradient(-45deg, transparent 33.333%, #fff 33.333%, #fff 66.667%, transparent 66.667%) !important;
  background-position: 0 -20px !important;
  background-size: 20px 40px !important;
  bottom: -10px;
  content: "";
  display: block;
  height: 20px;
  left: 0;
  position: absolute;
  right: 0;
  top: auto;
}

.order-summary .card:after {
  background:
    linear-gradient(45deg, transparent 33.333%, #fff 33.333%, #fff 66.667%, transparent 66.667%),
    linear-gradient(-45deg, transparent 33.333%, #fff 33.333%, #fff 66.667%, transparent 66.667%) !important;
  background-position: 0 -20px !important;
  background-size: 20px 40px !important;
  bottom: -10px;
  content: "";
  display: block;
  height: 20px;
  left: 0;
  position: absolute;
  right: 0;
  top: auto;
}

.square25 {
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
  width: 25px !important;
  height: 25px !important ;
  margin: 0 !important;
  padding: 0 !important;
}

.tips_value input {
  display: none;
}
.tips_value span {
  color: #000;
  background-color: #f3f4f6;
  border-color: #f3f4f6;
}
.tips_value span:hover {
  background-color: #f5f6f7;
  border-color: #f4f5f7;
}
.tips_value .active span {
  background-color: #facc15;
  border-color: #facc15;
}
.tips_value .active span:hover {
  background-color: #fbd438;
  border-color: #fbd12c;
}

.list-group-item.active {
  background-color: #588a83;
  border: none !important;
  color: #fff;
  border-radius: 0.3rem !important;
}

.nav-link.active {
  color: #588a83;
}

.splide__track--nav > .splide__list > .splide__slide.is-active {
  border-radius: 0.3rem !important;
  border-color: #588a83 !important;
}

/*spec-value*/
.spec-value table {
  text-align: center;
}
.spec-value table p {
  margin: 0;
  padding: 0;
}
.spec-value table > :not(caption) > * {
  border-width: 1px 0;
}
.spec-value table > :not(caption) > * > * {
  border-width: 0 1px;
}

/*blockquote*/
blockquote {
  font-style: italic;
  font-weight: 500;
  line-height: 1.7;
  margin: 2rem 0;
  padding: 2em 1em;
  border-left: 0.25rem solid #0f8aa8;
  background-color: #e6f4f7;
  /*border-radius: 0.5rem;*/
}
blockquote > :last-child {
  margin-bottom: 0;
}
blockquote p:first-of-type:before {
  content: open-quote;
}
blockquote p:last-of-type:after {
  content: close-quote;
}

/*dropdown-menu*/
.dropdown-menu {
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
}

.show .dropdown-menu {
  -webkit-animation-name: dropdownAnimate;
  animation-name: dropdownAnimate;
  -webkit-animation-duration: 0.25s;
  animation-duration: 0.25s;
}

@-webkit-keyframes dropdownAnimate {
  from {
    -webkit-transform: translate3d(0, -10px, 0);
    transform: translate3d(0, -10px, 0);
    opacity: 0;
  }
  to {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    opacity: 1;
  }
}

@keyframes dropdownAnimate {
  from {
    -webkit-transform: translate3d(0, -10px, 0);
    transform: translate3d(0, -10px, 0);
    opacity: 0;
  }
  to {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    opacity: 1;
  }
}

@media (min-width: 992px) {
  .dropdown-hover .dropdown-menu {
    margin: 0;
  }
  .dropdown-hover:hover > .dropdown-menu {
    display: block;
  }
  .dropdown-hover > .dropdown-toggle:not(.forwardable):active {
    pointer-events: none;
  }
}

.dropdown-item.has-icon > .feather {
  margin-right: 0.75rem;
}

.dropdown-submenu {
  position: relative;
}

.dropdown-submenu > .dropdown-item {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='25' height='16' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-chevron-right'%3E%3Cpolyline points='9 18 15 12 9 6'%3E%3C/polyline%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: right center;
}

.dropdown-submenu > .dropdown-menu {
  top: -2px;
  left: calc(100% - 2px);
  overflow: hidden;
  min-width: 150px;
}

.dropdown-submenu:hover > .dropdown-menu {
  display: block;
}

/*flag-*/
.flag-new {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-info-rgb), var(--bs-bg-opacity)) !important;
  color: #eee !important;
}
.flag-lastcouple {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-danger-rgb), var(--bs-bg-opacity)) !important;
  color: #eee !important;
}
.flag-top {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-success-rgb), var(--bs-bg-opacity)) !important;
  color: #eee !important;
}

.fs-6_5 {
  font-size: 0.95rem !important;
}

.breadcrumb-item + .breadcrumb-item {
  padding-left: 0.3rem;
}
.breadcrumb-item + .breadcrumb-item::before {
  padding-right: 0.3rem;
}

/*custom color*/
:root {
  --bs-blue: #0d6efd;
  --bs-indigo: #6610f2;
  --bs-purple: #6f42c1;
  --bs-pink: #d63384;
  --bs-red: #dc3545;
  --bs-orange: #fd7e14;
  --bs-yellow: #ffc107;
  --bs-green: #198754;
  --bs-teal: #20c997;
  --bs-cyan: #0dcaf0;
  --bs-white: #fff;
  --bs-gray: #4b5563;
  --bs-gray-dark: #1f2937;
  --bs-gray-100: #f3f4f6;
  --bs-gray-200: #e5e7eb;
  --bs-gray-300: #d1d5db;
  --bs-gray-400: #9ca3af;
  --bs-gray-500: #6b7280;
  --bs-gray-600: #4b5563;
  --bs-gray-700: #374151;
  --bs-gray-800: #1f2937;
  --bs-gray-900: #111827;
  --bs-primary: #6366f1;
  --bs-secondary: #6b7280;
  --bs-success: #4ea16c;
  --bs-info: #588a83;
  --bs-warning: #facc15;
  --bs-danger: #ef4444;
  --bs-light: #f3f4f6;
  --bs-dark: #1f2937;
  --bs-primary-rgb: 99, 102, 241;
  --bs-secondary-rgb: 107, 114, 128;
  --bs-success-rgb: 78, 161, 108;
  --bs-info-rgb: 88, 138, 131;
  --bs-warning-rgb: 250, 204, 21;
  --bs-danger-rgb: 250, 105, 105;
  --bs-light-rgb: 243, 244, 246;
  --bs-dark-rgb: 31, 41, 55;
  --bs-white-rgb: 255, 255, 255;
  --bs-black-rgb: 0, 0, 0;
  --bs-body-color-rgb: 75, 85, 99;
  --bs-body-bg-rgb: 249, 250, 251;
  --bs-font-sans-serif:
    system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif,
    "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
  --bs-body-font-family:
    Inter, system-ui, -apple-system, Segoe UI, Roboto, Helvetica Neue, Arial, Noto Sans, Liberation Sans, sans-serif,
    Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol, Noto Color Emoji;
  --bs-body-font-size: 0.875rem;
  --bs-body-font-weight: 400;
  --bs-body-line-height: 1.2;
  --bs-body-color: #4b5563;
  --bs-body-bg: #f9fafb;
}

.btn-info {
  color: #fff;
  background-color: #73b0a7;
  border-color: #73b0a7;
  transition: 0.5s !important;
}
.btn-info:hover {
  color: #fff;
  background-color: #8accc3;
  border-color: #8accc3;
}
.btn-check:focus + .btn-info,
.btn-info:focus {
  color: #fff;
  background-color: #8accc3;
  border-color: #8accc3;
  box-shadow: 0 0 0 0.125rem rgba(45, 162, 190, 0.5);
}
.btn-check:checked + .btn-info,
.btn-check:active + .btn-info,
.btn-info:active,
.btn-info.active,
.show > .btn-info.dropdown-toggle {
  color: #fff;
  background-color: #8accc3;
  border-color: #8accc3;
}
.btn-check:checked + .btn-info:focus,
.btn-check:active + .btn-info:focus,
.btn-info:active:focus,
.btn-info.active:focus,
.show > .btn-info.dropdown-toggle:focus {
  box-shadow: 0 0 0 0.125rem rgba(45, 162, 190, 0.5);
}
.btn-info:disabled,
.btn-info.disabled {
  color: #fff;
  background-color: #6c7c80;
  border-color: #6c7c80;
}

h6,
.h6,
h5,
.h5,
h4,
.h4,
h3,
.h3,
h2,
.h2,
h1,
.h1 {
  margin-top: 0;
  margin-bottom: 0.5em;
  font-weight: 500;
  line-height: 1.2;
  color: #4b5563;
}

/*star-rating*/
.star-rating {
  direction: rtl;
  display: inline-block;
  cursor: pointer;
}

.star-rating input {
  display: none;
}

.star-rating label,
.star-rating span {
  color: #ddd;
  padding: 0;
  cursor: pointer;
  transition: all 0.2s ease;
}

.star-rating label:hover,
.star-rating label:hover ~ label,
.star-rating input:checked ~ label,
.star-rating .checked {
  color: #ffc107;
}
.rating-view,
.rating-view span {
  cursor: auto;
}

.btn-outline-grey {
  color: #0f0f0f;
  border: none !important;
}
.btn-outline-grey:hover {
  color: #0f0f0f;
  background-color: #e5e5e5;
}
.btn-check:checked + .btn-outline-grey,
.btn-check:active + .btn-outline-grey,
.btn-outline-grey:active,
.btn-outline-grey.active,
.btn-outline-grey.show {
  background-color: #e5e5e5;
}
.btn-check:focus + .btn-outline-grey,
.btn-outline-grey:focus {
  box-shadow: none !important;
}
.btn-check:checked + .btn-outline-grey:focus,
.btn-check:active + .btn-outline-grey:focus,
.btn-outline-grey:active:focus,
.btn-outline-grey.active:focus,
.btn-outline-grey.show:focus {
  box-shadow: none !important;
}
.btn-outline-grey:disabled,
.btn-outline-grey.disabled {
  color: #0f0f0f;
  background-color: transparent;
}

.bg-bright {
  background-color: #f7f7f7 !important;
}
.bg-muted {
  background-color: #ececec !important;
}

.reviewText {
  padding: 0.5rem 0 !important;
  transition: border 0.3s ease;
  background: none !important;
}
.reviewText.error {
  border-width: 2px !important;
  border-color: #ef4444 !important;
}
.reviewText:focus {
  box-shadow: none !important;
  border-width: 2px !important;
  border-color: #6b7280 !important;
}

emoji-picker {
  --emoji-size: 17px;
  --emoji-padding: 4px;
  width: 300px;
  height: 350px;
}

/*select2*/
select.error + .select2-container .select2-selection,
.was-validated .form-select:invalid + .select2-container .select2-selection,
.form-select.is-invalid + .select2-container .select2-selection {
  border: 1px solid #ff4d4d !important;
}
.select2-container .select2-selection--single {
  height: 35px !important;
  display: flex;
  align-items: center;
  border: 1px solid #d1d5db;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 35px !important;
  padding-left: 12px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 35px !important;
  top: 0;
}
select[data-readonly="1"] + .select2-container .select2-selection {
  background-color: #f5f5f5 !important;
  border-color: #ddd !important;
  cursor: not-allowed;
  pointer-events: none;
}
select[data-readonly="1"] + .select2-container .select2-selection__arrow {
  display: none;
}
select[data-readonly="1"] + .select2-container .select2-selection__rendered {
  color: #888 !important;
}

.search-input:focus + label,
.has-text + label {
  /* opacity: 0; */
  transform: translateY(-14px);
  font-size: 10px;
  pointer-events: none;
}
